Bug 7427 - rp3 hoses resolv.conf
rp3 hoses resolv.conf
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-11-29 19:11 EST by wstockdell
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-30 11:09:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wstockdell 1999-11-29 19:11:10 EST
rp3 won't leave an existing resolv.conf alone.  I use different DNS servers
for different accounts and cannot use just one.  I use rp3 to kick off one
account and a set of scripts for the other.  The workaround is to include a
line in my startup scripts for the non-rp3 account that restores a backup
resolv.conf before dialing.  This happens with rp3-1.0.1-1
Comment 1 Michael K. Johnson 1999-11-30 11:09:59 EST
Our default behaviour is to use DNS servers that are provided when
bringing up interfaces.  This applies to PPP (with the msdns extension)
as with ethernet and DHCP.  You can change this behavior by putting
the line
PEERDNS=no
in your /etc/sysconfig/network-scripts/ifcfg-ppp* files

Note You need to log in before you can comment on or make changes to this bug.